<template>
	<div class="form-search">
		<input
			v-model="searchTerm"
			:placeholder="placeholder"
			autocomplete="off"
			id="header_search_autocomplete"
			maxlength="255"
			name="header_search_autocomplete"
			type="text"
			@focus="openSearch"
		/>
	</div>
</template>

<script>
	module.exports = {
		store,
		props: ["placeholder"],
		methods: {
			openSearch() {
				this.$store.commit("closeAllPops");
				this.$store.commit("activatePopState", "search");
				document.getElementById("pop-search-input").focus();
			},
		},
		computed: {
			searchTerm() {
				return this.$store.getters.searchTerm;
			},
		},
	};
</script>

<style scoped>
	input[type="submit"] {
		height: 40px !important;
		background: #8ac9ce !important;
		padding: 0 30px !important;
	}

	.search-autocomplete {
		width: auto !important;
		box-shadow: none;
		border: 1px solid #e6e6e6;
		border-radius: 0;
		top: 100%;
		padding: 0;
		max-width: 100%;
		background: #fff;
		left: 0;
		z-index: 200;
		position: absolute;
		overflow: hidden;
	}
	.search-autocomplete:before {
		content: "";
		border: 5px solid transparent;
		border-color: transparent transparent #e6e6e6;
		position: absolute;
		top: -11px;
		width: 0;
		height: 0;
		display: block;
		left: 30px;
	}
	.search-autocomplete:after {
		content: "";
		border: 5px solid transparent;
		border-color: transparent transparent #fff;
		position: absolute;
		top: -9px;
		width: 0;
		height: 0;
		display: block;
		left: 30px;
	}
</style>
